Code Security
Operations for the Code Security service collection.
| Language | Last Update |
|---|---|
| Python | v1.6.6 |
| PowerShell | |
| Go | v0.24.0 |
| TypeScript | v0.9.0 |
| Rust | |
| Ruby | v1.6.0 |
Table of Contents
Section titled “Table of Contents”| Operation | Description |
|---|---|
CreateBranchConfigcreate_branch_config | Create a new branch config |
CreateExclusionRulecreate_scm_exclusion_rule | Create an exclusion rule |
DeleteBranchConfigdelete_branch_config | Delete a branch config, or exclude a specific repository from a connection-level config when repository_id query param is provided |
DeleteExclusionRuledelete_scm_exclusion_rule | Delete an exclusion rule |
DeleteSCMConnectiondelete_scm_connection | Delete an SCM connection |
ExchangeGitHubAppCodeexchange_github_app_code | Exchange a GitHub App manifest code or complete registration after installation |
GetBranchConfigget_branch_config | Get branch config for a connection or repository |
GetSCMConnectionget_scm_connection | Get an SCM connection by UUID |
GetSCMRepositoryAggregatesget_scm_repository_aggregates | Get distinct values with counts for a repository field |
ListExclusionRuleslist_scm_exclusion_rules | List exclusion rules for a connection |
ListSCMConnectionslist_scm_connections | List SCM connections for a customer |
ListSCMRepositorieslist_scm_repositories | List discovered SCM repositories for a customer |
RegisterSCMAppregister_scm_app | Register a GitHub App via the wizard flow |
TriggerSCMSynctrigger_scm_sync | Trigger an immediate sync for a connection |
UpdateBranchConfigupdate_branch_config | Update an existing branch config |
CreateBranchConfig
Section titled “CreateBranchConfig”Create a new branch config
create_branch_configfrom falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.create_branch_config()print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.CreateBranchConfig()print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("CreateBranchConfig")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_integration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CodeSecurityScmIntegration.CreateBranchConfig( &code_security_scm_integration.CreateBranchConfigParams{ Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmIntegration.createBranchConfig();
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmIntegration.new
response = api.create_branch_config
puts response{}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}CreateExclusionRule
Section titled “CreateExclusionRule”Create an exclusion rule
create_scm_exclusion_rulefrom falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.create_scm_exclusion_rule()print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.CreateExclusionRule()print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("CreateExclusionRule")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_integration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CodeSecurityScmIntegration.CreateExclusionRule( &code_security_scm_integration.CreateExclusionRuleParams{ Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmIntegration.createExclusionRule();
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmIntegration.new
response = api.create_exclusion_rule
puts response{}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}DeleteBranchConfig
Section titled “DeleteBranchConfig”Delete a branch config, or exclude a specific repository from a connection-level config when repository_id query param is provided
delete_branch_configParameters
Section titled “Parameters”from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_branch_config(ids=id_list)print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.DeleteBranchConfig(ids=id_list)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("DeleteBranchConfig", ids="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_integration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CodeSecurityScmIntegration.DeleteBranchConfig( &code_security_scm_integration.DeleteBranchConfigParams{ Ids: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmIntegration.deleteBranchConfig("string"); // ids
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmIntegration.new
response = api.delete_branch_config('string')
puts response{}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}DeleteExclusionRule
Section titled “DeleteExclusionRule”Delete an exclusion rule
delete_scm_exclusion_ruleParameters
Section titled “Parameters”from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.delete_scm_exclusion_rule(id="string")print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.DeleteExclusionRule(id="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("DeleteExclusionRule", id="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_integration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CodeSecurityScmIntegration.DeleteExclusionRule( &code_security_scm_integration.DeleteExclusionRuleParams{ ID: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmIntegration.deleteExclusionRule("string"); // id
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmIntegration.new
response = api.delete_exclusion_rule('string')
puts response{}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}DeleteSCMConnection
Section titled “DeleteSCMConnection”Delete an SCM connection
delete_scm_connectionParameters
Section titled “Parameters”from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.delete_scm_connection(uuid="string")print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.DeleteSCMConnection(uuid="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("DeleteSCMConnection", uuid="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_integration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CodeSecurityScmIntegration.DeleteSCMConnection( &code_security_scm_integration.DeleteSCMConnectionParams{ UUID: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmIntegration.deleteSCMConnection("string"); // uuid
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmIntegration.new
response = api.delete_scm_connection('string')
puts response{}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}ExchangeGitHubAppCode
Section titled “ExchangeGitHubAppCode”Exchange a GitHub App manifest code or complete registration after installation
exchange_github_app_codeParameters
Section titled “Parameters”from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.exchange_github_app_code(code="string", installation_id="string", org="string", state="string")print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.ExchangeGitHubAppCode(code="string", installation_id="string", org="string", state="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
body_payload = { "code": "string", "installation_id": "string", "org": "string", "state": "string"}
response = falcon.command("ExchangeGitHubAppCode", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_integration" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
code := "string" installationID := "string" org := "string" state := "string"
response, err := client.CodeSecurityScmIntegration.ExchangeGitHubAppCode( &code_security_scm_integration.ExchangeGitHubAppCodeParams{ Body: &models.APIExchangeRequest{ Code: &code, InstallationID: &installationID, Org: &org, State: &state, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmIntegration.exchangeGitHubAppCode( { code: "string", installationId: "string", org: "string", state: "string"} // body);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmIntegration.new
body = Falcon::ApiExchangeRequest.new( code: 'string', installation_id: 'string', org: 'string', state: 'string')
response = api.exchange_git_hub_app_code(body)
puts response{}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}GetBranchConfig
Section titled “GetBranchConfig”Get branch config for a connection or repository
get_branch_configParameters
Section titled “Parameters”from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.get_branch_config(connection_id="string", repository_ids="string")print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.GetBranchConfig(connection_id="string", repository_ids="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("GetBranchConfig", connection_id="string", repository_ids="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_integration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
repositoryIds := "string"
response, err := client.CodeSecurityScmIntegration.GetBranchConfig( &code_security_scm_integration.GetBranchConfigParams{ ConnectionID: "string", RepositoryIds: &repositoryIds, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmIntegration.getBranchConfig( "string", // connectionId "string" // repositoryIds);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmIntegration.new
response = api.get_branch_config('string')
puts response[ { "connection_id": "string", "created_at": "string", "id": "string", "mode": "string", "patterns": [], "repository_id": "string", "updated_at": "string" }]{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}GetSCMConnection
Section titled “GetSCMConnection”Get an SCM connection by UUID
get_scm_connectionParameters
Section titled “Parameters”from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.get_scm_connection(uuid="string")print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.GetSCMConnection(uuid="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("GetSCMConnection", uuid="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_integration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CodeSecurityScmIntegration.GetSCMConnection( &code_security_scm_integration.GetSCMConnectionParams{ UUID: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmIntegration.getSCMConnection("string"); // uuid
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmIntegration.new
response = api.get_scm_connection('string')
puts response{}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}GetSCMRepositoryAggregates
Section titled “GetSCMRepositoryAggregates”Get distinct values with counts for a repository field
get_scm_repository_aggregatesParameters
Section titled “Parameters”from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.get_scm_repository_aggregates(field="string", filter="string")print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.GetSCMRepositoryAggregates(field="string", filter="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("GetSCMRepositoryAggregates", field="string", filter="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_inventory")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
filter := "string"
response, err := client.CodeSecurityScmInventory.GetSCMRepositoryAggregates( &code_security_scm_inventory.GetSCMRepositoryAggregatesParams{ Field: "string", Filter: &filter, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmInventory.getSCMRepositoryAggregates( "string", // field "string" // filter);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmInventory.new
response = api.get_scm_repository_aggregates('string')
puts response{}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}ListExclusionRules
Section titled “ListExclusionRules”List exclusion rules for a connection
list_scm_exclusion_rulesParameters
Section titled “Parameters”from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.list_scm_exclusion_rules(connection_id="string")print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.ListExclusionRules(connection_id="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("ListExclusionRules", connection_id="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_integration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CodeSecurityScmIntegration.ListExclusionRules( &code_security_scm_integration.ListExclusionRulesParams{ ConnectionID: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmIntegration.listExclusionRules("string"); // connectionId
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmIntegration.new
response = api.list_exclusion_rules('string')
puts response{}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}ListSCMConnections
Section titled “ListSCMConnections”List SCM connections for a customer
list_scm_connectionsParameters
Section titled “Parameters”from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.list_scm_connections(provider="string")print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.ListSCMConnections(provider="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("ListSCMConnections", provider="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_integration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
provider := "string"
response, err := client.CodeSecurityScmIntegration.ListSCMConnections( &code_security_scm_integration.ListSCMConnectionsParams{ Provider: &provider, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmIntegration.listSCMConnections("string"); // provider
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmIntegration.new
response = api.list_scm_connections(provider: 'string')
puts response{}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}ListSCMRepositories
Section titled “ListSCMRepositories”List discovered SCM repositories for a customer
list_scm_repositoriesParameters
Section titled “Parameters”from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.list_scm_repositories(filter="string", sort="string", limit=integer, offset=integer)print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.ListSCMRepositories(filter="string", sort="string", limit=integer, offset=integer)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("ListSCMRepositories", filter="string", sort="string", limit=integer, offset=integer)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_inventory")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
filter := "string" sort := "string" limit := int64(0) offset := int64(0)
response, err := client.CodeSecurityScmInventory.ListSCMRepositories( &code_security_scm_inventory.ListSCMRepositoriesParams{ Filter: &filter, Sort: &sort, Limit: &limit, Offset: &offset, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmInventory.listSCMRepositories( "string", // filter "string", // sort integer, // limit integer // offset);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmInventory.new
response = api.list_scm_repositories(filter: 'string', sort: 'string', limit: integer, offset: integer)
puts response{}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}RegisterSCMApp
Section titled “RegisterSCMApp”Register a GitHub App via the wizard flow
register_scm_appParameters
Section titled “Parameters”from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.register_scm_app(app_id="string", installation_id="string", org="string", private_key="string", webhook_secret="string")print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.RegisterSCMApp(app_id="string", installation_id="string", org="string", private_key="string", webhook_secret="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
body_payload = { "app_id": "string", "installation_id": "string", "org": "string", "private_key": "string", "webhook_secret": "string"}
response = falcon.command("RegisterSCMApp", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_integration" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
appID := "string" installationID := "string" org := "string" privateKey := "string" webhookSecret := "string"
response, err := client.CodeSecurityScmIntegration.RegisterSCMApp( &code_security_scm_integration.RegisterSCMAppParams{ Body: &models.ScmintegrationRegisterAppPayload{ AppID: &appID, InstallationID: &installationID, Org: &org, PrivateKey: &privateKey, WebhookSecret: &webhookSecret, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmIntegration.registerSCMApp( { appId: "string", installationId: "string", org: "string", privateKey: "string", webhookSecret: "string"} // body);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmIntegration.new
body = Falcon::ScmintegrationRegisterAppPayload.new( app_id: 'string', installation_id: 'string', org: 'string', private_key: 'string', webhook_secret: 'string')
response = api.register_scm_app(body)
puts response{}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}TriggerSCMSync
Section titled “TriggerSCMSync”Trigger an immediate sync for a connection
trigger_scm_syncParameters
Section titled “Parameters”from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.trigger_scm_sync(uuid="string")print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.TriggerSCMSync(uuid="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("TriggerSCMSync", uuid="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_integration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CodeSecurityScmIntegration.TriggerSCMSync( &code_security_scm_integration.TriggerSCMSyncParams{ UUID: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmIntegration.triggerSCMSync("string"); // uuid
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmIntegration.new
response = api.trigger_scm_sync('string')
puts response{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }, "resources": {}}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }, "resources": {}}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }, "resources": {}}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}UpdateBranchConfig
Section titled “UpdateBranchConfig”Update an existing branch config
update_branch_configParameters
Section titled “Parameters”from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.update_branch_config(id="string")print(response)from falconpy import CodeSecurity
falcon = CodeSecurity(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.UpdateBranchConfig(id="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("UpdateBranchConfig", id="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/code_security_scm_integration")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.CodeSecurityScmIntegration.UpdateBranchConfig( &code_security_scm_integration.UpdateBranchConfigParams{ ID: "string", Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: "us-1", clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.codeSecurityScmIntegration.updateBranchConfig("string"); // id
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::CodeSecurityScmIntegration.new
response = api.update_branch_config('string')
puts response{}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}{ "errors": [ { "code": 0, "id": "string", "message": "string" } ], "meta": { "pagination": { "limit": 0, "offset": 0, "total": 0 }, "powered_by": "string", "query_time": 0.0, "trace_id": "string", "writes": { "resources_affected": 0 } }}